/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 * Alexey Yermakov <alexey.yermakov@rosalab.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "searchbar.h"

#include <KDebug>

SearchBar::SearchBar(QGraphicsWidget *parent)
  : Plasma::LineEdit(parent)
{
  setData(0, 1);

  setSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::Minimum);

  setMinimumWidth(600);
  setMaximumWidth(800);
  
  
}

SearchBar::~SearchBar()
{
}

void SearchBar::keyPressEvent(QKeyEvent *event)
{
  if(event->modifiers() & Qt::AltModifier)
    {
      if(event->key() == Qt::Key_1 || event->key() == Qt::Key_2 || event->key() == Qt::Key_3)
        {
          event->ignore();
          return;
        }
    }
  else if(event->modifiers() & Qt::ControlModifier)
    {
      if(event->key() == Qt::Key_Tab)
        {
          event->ignore();
        }
    }
  
  Plasma::LineEdit::keyPressEvent(event);
}

void SearchBar::keyReleaseEvent(QKeyEvent *event)
{
  Plasma::LineEdit::keyPressEvent(event);
}
