/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 *   Julia Mineeva <julia.mineeva@osinit.ru>
 *   Evgeniy Augin <evgeniy.augin@osinit.ru>
 *   Ivan Kulkov   <ivan.kulkov@osinit.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef TIMEFRAMEDIRLISTER_H
#define TIMEFRAMEDIRLISTER_H

#include <kdirlister.h>
#include <QString>
#include <kurl.h>
#include <kio/job.h>

class TimeFrameDirLister : public KDirLister
{
     Q_OBJECT
public:
    TimeFrameDirLister();
    virtual ~TimeFrameDirLister();
signals:
    /** Is emitted whenever an error has occurred. */
    void errorMessage(const QString& msg);

    /** Is emitted when the URL of the directory lister represents a file. */
    void urlIsFileError(const KUrl& url);

protected:
    virtual void handleError(KIO::Job* job);
};

#endif // TIMEFRAMEDIRLISTER_H
