/*
 * Copyright (c) ROSA Laboratory 2011
 * License: GPLv3
 *
 * Authors:
 *   Julia Mineeva <julia.mineeva@osinit.ru>
 *   Evgeniy Augin <evgeniy.augin@osinit.ru>
 *   Ivan Kulkov   <ivan.kulkov@osinit.ru>
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 3,
 *   or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#ifndef TIMEFRAMEITEMDELEGATE_H
#define TIMEFRAMEITEMDELEGATE_H


#include <kfileitemdelegate.h>
#include <kfileitem.h>
#include <kio/previewjob.h>
#include <QHash>

class QAbstractProxyModel;
class QString;
class QImage;
class QPixmap;
class QModelIndex;
/*
enum state
{
    failedPreview,
    emptyPreview,
    gotPreview
};
*/
struct Preview
{
    KFileItem item;
    //state st;
    QImage image;
    QModelIndex index;
};


class TimeFrameItemDelegate : public KFileItemDelegate
{
    Q_OBJECT
public:
    explicit TimeFrameItemDelegate(QObject* parent = 0);
    virtual ~TimeFrameItemDelegate();
    virtual void paint(QPainter* painter,
                       const QStyleOptionViewItem& option,
                       const QModelIndex& index) const;

public slots:
  void setPreview(const KFileItem&, const QPixmap&);
  void setNullIcon(const KFileItem&);
  void reset();

private:
    QHash<QString, Preview>* m_hash;

signals:
    void iconChanged(const QModelIndex&);
    void iconChanged(const KFileItem&);
    void resetJob();
};
#endif // TIMEFRAMEITEMDELEGATE_H

